package space.kklochko.jdbc_hospital_example;

import space.kklochko.jdbc_hospital_example.cli.CLI;
import space.kklochko.jdbc_hospital_example.config.factories.LoadDataBaseConfigFromEnvFile;
import space.kklochko.jdbc_hospital_example.config.models.DataBaseConfig;
import space.kklochko.jdbc_hospital_example.db.factories.DataBaseConnection;

import java.sql.*;

public class Main {
    public static void main(String[] args) throws SQLException {
        DataBaseConfig db = (new LoadDataBaseConfigFromEnvFile()).load();
        DataBaseConnection dbc = new DataBaseConnection(db);

        CLI cli = new CLI(dbc);
        cli.run();
    }
}

