package space.kklochko.jdbc_hospital_example.models;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.ArrayList;
import java.util.UUID;

@Data
public class Patient {
    UUID id;
    String name;
    short age;
    String phone;

    public Patient(UUID id, String name, int age, String phone) {
        setId(id);
        setName(name);
        setAge((short) age);
        setPhone(phone);
    }

    public Patient(UUID id, String name, short age, String phone) {
        setId(id);
        setName(name);
        setAge(age);
        setPhone(phone);
    }

    public Patient(String name, int age, String phone) {
        setName(name);
        setAge((short) age);
        setPhone(phone);
    }

    public Patient(String name, short age, String phone) {
        setName(name);
        setAge(age);
        setPhone(phone);
    }
}

